#define DM_DEBUG			0x10000000
#define DM_DEBUG_ALL		0x01111111
#define DM_DEBUG_NET		0x00000001
#define DM_DEBUG_CLIENTS	0x00000010
#define DM_DEBUG_SCHEDULER  0x00000100

extern GQuark dm_downmand_error_quark (void);
#define DM_DOWNMAND_ERROR dm_downmand_error_quark ()

unsigned long int debug;

void debug_open_log();
void debug_close_log();


#ifdef G_HAVE_ISO_VARARGS
#define g_debug(...)    g_log (G_LOG_DOMAIN,         \
                               G_LOG_LEVEL_DEBUG,    \
                               __VA_ARGS__)
#elif defined(G_HAVE_GNUC_VARARGS)
#define g_debug(format...)      g_log (G_LOG_DOMAIN,         \
                                       G_LOG_LEVEL_DEBUG,    \
                                       format)
#else   /* no varargs macros */
static void
g_debug (const gchar *format,
         ...)
{
  va_list args;
  va_start (args, format);
  g_logv (G_LOG_DOMAIN, G_LOG_LEVEL_DEBUG, format, args);
  va_end (args);
}
#endif  /* !__GNUC__ */
